## org.eclipse.datatools.modelbase.sql.xml.query
Interface XMLValueExpressionCast

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, QueryValueExpression, SQLObject, SQLQueryObject, ValueExpression, ValueExpressionAtomic, ValueExpressionCast

    public interface XMLValueExpressionCast

extends ValueExpressionCast

A representation of the model object 'XML Value Expression Cast'. Specifies a data conversion whose source or target is a value expressoin with an XML datatype. See ISO SQL/XML sec. 6.5. The <XML cast operand>is handled by the valueExpr relationship of the ValueExpressionCast. <XML target operand> (which is a datatype) is handled by the datatype attribute of QueryValueeExpression. The <null specification> is handled by the ValueExpressionNullValue subtype of QueryValueExpression.

The following features are supported:

- `Passing Mechanism`

See Also:
  `SQLXMLQueryModelPackage.getXMLValueExpressionCast()`

Method Summary
`XMLPassingType` `getPassingMechanism()` Returns the value of the 'Passing Mechanism' attribute.
`void` `setPassingMechanism(XMLPassingType value)` Sets the value of the '`Passing Mechanism`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.ValueExpressionCast
`getValueExpr, setValueExpr`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QueryValueExpression

`getBasicLeft, getBasicRight, getBetweenLeft, getBetweenRight1, getBetweenRight2, getCallStatement, getDataType, getGroupingExpr, getInValueListLeft, getInValueListRight, getInValueRowSelectLeft, getInValueSelectLeft, getLikeEscape, getLikeMatching, getLikePattern, getNest, getOrderByValueExpr, getPredicateNull, getQuantifiedRowSelectLeft, getQuantifiedValueSelectLeft, getResultColumn, getTableFunction, getUnaryOperator, getUpdateSourceExprList, getValueExprCaseElse, getValueExprCaseSearchContent, getValueExprCaseSimple, getValueExprCaseSimpleContentResult, getValueExprCaseSimpleContentWhen, getValueExprCast, getValueExprCombinedLeft, getValueExprCombinedRight, getValueExprFunction, getValueExprLabeledDuration, getValueExprRow, getValuesRow, setBasicLeft, setBasicRight, setBetweenLeft, setBetweenRight1, setBetweenRight2, setCallStatement, setDataType, setGroupingExpr, setInValueListLeft, setInValueListRight, setInValueRowSelectLeft, setInValueSelectLeft, setLikeEscape, setLikeMatching, setLikePattern, setNest, setOrderByValueExpr, setPredicateNull, setQuantifiedRowSelectLeft, setQuantifiedValueSelectLeft, setResultColumn, setTableFunction, setUnaryOperator, setUpdateSourceExprList, setValueExprCaseElse, setValueExprCaseSearchContent, setValueExprCaseSimple, setValueExprCaseSimpleContentResult, setValueExprCaseSimpleContentWhen, setValueExprCast, setValueExprCombinedLeft, setValueExprCombinedRight, setValueExprFunction, setValueExprLabeledDuration, setValueExprRow, setValuesRow`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.expressions.ValueExpression
`getSQL, setSQL`

Method Detail

### getPassingMechanism

    XMLPassingType getPassingMechanism()

  Returns the value of the 'Passing Mechanism' attribute. The literals are from the enumeration `XMLPassingType`.

  If the meaning of the 'Passing Mechanism' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Passing Mechanism' attribute.
  See Also:
    `XMLPassingType`, `setPassingMechanism(XMLPassingType)`, `SQLXMLQueryModelPackage.getXMLValueExpressionCast_PassingMechanism()`

### setPassingMechanism

    void setPassingMechanism(XMLPassingType value)

  Sets the value of the '`Passing Mechanism`' attribute.

  Parameters:
    `value` - the new value of the 'Passing Mechanism' attribute.
  See Also:
    `XMLPassingType`, `getPassingMechanism()`